<script lang="ts">
  import blackUrl from "../assets/black-ring.svg";
  import whiteUrl from "../assets/white-ring.svg";

  export let color: Color;
</script>

{#if color === "w"}
  <img src={whiteUrl} alt="white ring" />
{:else if color === "b"}
  <img src={blackUrl} alt="black ring" />
{/if}

<style>
  img {
    width: 100%;
    filter: drop-shadow(1px 1px 1px rgba(0, 0, 0, 0.7));
  }
</style>
